! ----------------------------------------------------------------------
! *   calculate distribution function of particles                     *
! ----------------------------------------------------------------------
   subroutine distrib( x,  xL, it, nf )

      use mod_para

      implicit none

      integer, allocatable:: iLp(:), mLp(:)
      integer:: it, nf, i, iL

      real(8):: x(NP)
      real(8):: xL(-nx:nx)

      real(8), allocatable:: dLp(:)
      character(3):: cnf
      character(5):: fname1

!  ****  allocate dimension variables  ****

      allocate ( iLp(NP) )
      allocate ( mLp(-nx:nx), dLp(-nx:nx) )

!  ****  position of particle on L grid  ****

      iLp(:) = int( ( x(:) + Lx + 0.5d0 * dLx ) / dLx ) - nx

!  ****  count particles and distribution function  ****

      mLp(:) = 0
      do i = 1,NP
        if ( iLp(i) >= -nx .and.  iLp(i) <= nx )  mLp( iLp(i) ) = mLp( iLp(i) ) + 1
      end do

      dLp(:) = dfloat( mLp(:) ) / dLx

!  ****  write distribution function  ****

      write ( cnf,'(i3.3)' ) nf 
      fname1 = 'pd'//cnf

      open ( 21,file=fname1 )

      do iL = -nx,nx
        write ( 21,* ) xL(iL),mLp(iL),dLp(iL)
      end do 

      close ( 21 )
      return

   end subroutine distrib

