! ----------------------------------------------------------------------
! *   calculate distribution function of particles                     *
! ----------------------------------------------------------------------
   subroutine thdist( xL, t, it, nf )

      use mod_para

      implicit none

      integer:: it, nf, iL
      real(8):: t
      real(8):: pi, coeff

      real(8):: xL(-nx:nx)
      real(8), allocatable:: fdis(:)

      character(3):: cnf
      character(5):: fname1

!  ****  allocate dimension variables  ****

      allocate ( fdis(-nx:nx) )

!  ****  theoretical distribution function  ****

      pi = 4.0d0 * atan( 1.0d0 )

      coeff = dfloat( NP ) / sqrt( 2.0d0 * pi * t )
      fdis(:) = coeff * exp( -xL(:)**2 / t * 0.5d0 )

!  ****  write distribution function  ****

      write ( cnf,'(i3.3)' ) nf 
      fname1 = 'fd'//cnf

      open ( 22,file=fname1 )

      do iL = -nx,nx
        write ( 22,* ) xL(iL),fdis(iL)
      end do 

      close ( 22 )
      return

   end subroutine thdist

